Community Packages

Please read this before reporting a bug:
http://wiki.archlinux.org/index.php/Reporting_Bug_Guidelines

Do NOT report bugs when a package is just outdated, or it is in Unsupported. Use the 'flag out of date' link on the package page, or the Mailing List.

REPEAT: Do NOT report bugs for outdated packages!
Tasklist

FS#58952 - [gajim] pyhton dependencies

Attached to Project: Community Packages
Opened by Bronko (bronko) - Sunday, 10 June 2018, 09:40 GMT
Last edited by Balló György (City-busz) - Sunday, 10 June 2018, 11:15 GMT
Task Type Bug Report
Category Packages
Status Closed
Assigned To No-one
Architecture All
Severity Low
Priority Normal
Reported Version
Due in Version Undecided
Due Date Undecided
Percent Complete 100%
Votes 0
Private No

Details

Additional info:

* gajim 1.0.3-1
* kde 18.04

Steps to reproduce:

Installed gajim and started for the first time, i got a traceback (see below).
Installing 'python-dbus' fixed it for me, should it be added to the dependencies list?

I also installed 'python-pillow' to view all avatars in the gajim roster.
Maybe also a candidate for an (optional) dependency?

===
Traceback (most recent call last):
File "/usr/lib/python3.6/site-packages/keyring/backends/kwallet.py", line 37, in priority
bus = dbus.SessionBus(mainloop=DBusGMainLoop())
AttributeError: module 'dbus' has no attribute 'SessionBus'

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
File "/usr/lib/python3.6/site-packages/gajim/gajim.py", line 267, in _activate
from gajim.gui_interface import Interface
File "/usr/lib/python3.6/site-packages/gajim/gui_interface.py", line 64, in <module>
from gajim import dialogs
File "/usr/lib/python3.6/site-packages/gajim/dialogs.py", line 53, in <module>
from gajim.options_dialog import OptionsDialog
File "/usr/lib/python3.6/site-packages/gajim/options_dialog.py", line 3, in <module>
from gajim.common import passwords
File "/usr/lib/python3.6/site-packages/gajim/common/passwords.py", line 37, in <module>
import keyring
File "/usr/lib/python3.6/site-packages/keyring/__init__.py", line 3, in <module>
from .core import (set_keyring, get_keyring, set_password, get_password,
File "/usr/lib/python3.6/site-packages/keyring/core.py", line 154, in <module>
init_backend()
File "/usr/lib/python3.6/site-packages/keyring/core.py", line 67, in init_backend
keyrings = filter(limit, backend.get_all_keyring())
File "/usr/lib/python3.6/site-packages/keyring/util/__init__.py", line 21, in wrapper
func.always_returns = func(*args, **kwargs)
File "/usr/lib/python3.6/site-packages/keyring/backend.py", line 173, in get_all_keyring
exceptions=TypeError))
File "/usr/lib/python3.6/site-packages/keyring/util/__init__.py", line 31, in suppress_exceptions
for callable in callables:
File "/usr/lib/python3.6/site-packages/keyring/backend.py", line 165, in is_class_viable
keyring_cls.priority
File "/usr/lib/python3.6/site-packages/keyring/util/properties.py", line 24, in __get__
return self.fget.__get__(None, owner)()
File "/usr/lib/python3.6/site-packages/keyring/backends/kwallet.py", line 38, in priority
except dbus.DBusException as exc:
AttributeError: module 'dbus' has no attribute 'DBusException'
===
This task depends upon

Closed by  Balló György (City-busz)
Sunday, 10 June 2018, 11:15 GMT
Reason for closing:  Fixed
Additional comments about closing:  gajim 1.0.3-2

Loading...